Upgrade from 2.0.x problems

In this board you can talk about general questions about phpMyFAQ

Moderator: Thorsten

kakubei
Posts: 12
Joined: Mon Mar 25, 2013 4:08 pm

Upgrade from 2.0.x problems

Post by kakubei » Mon Mar 25, 2013 6:11 pm

I am trying to upgrade to the latest version because our hosting service dropped support for php 4 and I can no longer access our FAQ pages at all.

The instructions say to delete ALL files except:

the files data.php in the directory inc/
all files in the template/ directory
the directory attachments/
the directory data/
the directory images/

Then go to install/update.php

which has been deleted previously. Also, it is not clear if I should upload a new version of the install folder or the whole root folder or what?

I tried uploading the whole folder and installing it from scratch which worked, but the app will not show me the data I had in the old database which is still there.

Please advise on which course I should take.

jason102178
Posts: 200
Joined: Tue Nov 02, 2010 9:08 am
Location: United States-Ohio
Contact:

Re: Upgrade from 2.0.x problems

Post by jason102178 » Mon Mar 25, 2013 6:58 pm

What version of phpmyfaq do you currently have installed.

Best Regards,

Jason
phpMyFAQ Quality Assurance / Forum Moderator
Amazon.com Wishlist

kakubei
Posts: 12
Joined: Mon Mar 25, 2013 4:08 pm

Re: Upgrade from 2.0.x problems

Post by kakubei » Mon Mar 25, 2013 7:30 pm

I think it's 2.0.12

I discovered that the error logs have this:

[25-Mar-2013 05:44:48 US/Central] PHP Fatal error: Cannot redeclare quoted_printable_encode() in /home/bruji/public_html/support/kb/inc/functions.php on line 984

Trying to encase that function into checking if it already exists produces no data.

jason102178
Posts: 200
Joined: Tue Nov 02, 2010 9:08 am
Location: United States-Ohio
Contact:

Re: Upgrade from 2.0.x problems

Post by jason102178 » Mon Mar 25, 2013 7:34 pm

As the documents say, upgrading from 2.0.x is a major upgrade, so please be sure to create a full backup before you run the upgrade! , because if anything goes wrong, it would be difficult to get your FAQ's back, if your familer with phpmyadmin , its fairly simple creating a backup.

The instructions are right you delete all files except the files and folders listed below, also just to let you know if you have any customization done to your phpmyfaq you can use your current theme thats why we say not to delete it, what you can do if you want is when you download 2.7 you can rename the folder to default 1 and that way you can switch between the themes.

the file data.php is what holds your sql database name and in 2.7 their will be a folder called config which now holds the database name ,

when you download the latest 2.7 package you would upload all of the contents except for the template folder if you wish to keep your old template cause you have made any customizations as they would be lost if you used the new template.

the 2.7 folder will not have a data directory or attachments directory as none has been created yet so you dont have to worry about it overwritting anything. if you run into any problems just let me know
phpMyFAQ Quality Assurance / Forum Moderator
Amazon.com Wishlist

kakubei
Posts: 12
Joined: Mon Mar 25, 2013 4:08 pm

Re: Upgrade from 2.0.x problems

Post by kakubei » Mon Mar 25, 2013 7:37 pm

Could someone clarify the actual upgrade procedure from 2.0.12 for me please?

Or simply a fresh install and then a database migration would also work but I can't find any documentation of how to do that.

kakubei
Posts: 12
Joined: Mon Mar 25, 2013 4:08 pm

Re: Upgrade from 2.0.x problems

Post by kakubei » Mon Mar 25, 2013 7:49 pm

Jason, I did what you suggest and got this message:

It seems you never run a version of phpMyFAQ.
Please use the install script.

What I did was upload the latest version 2.7 to a new folder then copy the files that I'm supposed to keep from the old version:

inc/data.php
attachments/
templates/
data/
images/

Then went to install/update.php and got the error above.

Or maybe what the instructions mean is the following:

1. delete all the folders except the ones listed
2. upload all the contents of the new 2.7 version to the folder where you had the FAQ files
3. run install/update.php

Which is the same thing I did but in a different folder, is this correct?

jason102178
Posts: 200
Joined: Tue Nov 02, 2010 9:08 am
Location: United States-Ohio
Contact:

Re: Upgrade from 2.0.x problems

Post by jason102178 » Mon Mar 25, 2013 7:56 pm

Hi,

you are correct you are not suppose to delete these folders you can delete all other folders and files except these ones

inc/data.php
attachments/
templates/
data/
images/
phpMyFAQ Quality Assurance / Forum Moderator
Amazon.com Wishlist

jason102178
Posts: 200
Joined: Tue Nov 02, 2010 9:08 am
Location: United States-Ohio
Contact:

Re: Upgrade from 2.0.x problems

Post by jason102178 » Mon Mar 25, 2013 8:00 pm

I would also suggest before deleting anything if you havent already make a backup copy of your phpmyfaq folder and save it to your desktop that way if you accidently deleted something you can have the back up file and folder
phpMyFAQ Quality Assurance / Forum Moderator
Amazon.com Wishlist

kakubei
Posts: 12
Joined: Mon Mar 25, 2013 4:08 pm

Re: Upgrade from 2.0.x problems

Post by kakubei » Mon Mar 25, 2013 8:05 pm

Ok, this finally worked. Apparently the inc/data.php file got corrupted when I copied it over.

I did not rename the template as you suggested because I didn't read it in time. How can I get all the customization I had back?

I tried renaming default to default-new and backup to default inside the template folder but that resulted in pages without any styles applied to them.

jason102178
Posts: 200
Joined: Tue Nov 02, 2010 9:08 am
Location: United States-Ohio
Contact:

Re: Upgrade from 2.0.x problems

Post by jason102178 » Mon Mar 25, 2013 8:12 pm

at long as you did not delete your old template/default folder you should not loose any of your customizations, whats your web address
phpMyFAQ Quality Assurance / Forum Moderator
Amazon.com Wishlist

kakubei
Posts: 12
Joined: Mon Mar 25, 2013 4:08 pm

Re: Upgrade from 2.0.x problems

Post by kakubei » Mon Mar 25, 2013 8:14 pm

http://bruji.com/support/faq/

I've renamed the folders as they were so that the styles got applied.

I also have the old templates folder backed up so I can upload it if need be. However, there is no default in the old template folder, just the files.

jason102178
Posts: 200
Joined: Tue Nov 02, 2010 9:08 am
Location: United States-Ohio
Contact:

Re: Upgrade from 2.0.x problems

Post by jason102178 » Mon Mar 25, 2013 8:28 pm

ok well the good news is you sucesfully, installed the latest phpmyfaq without loosing any of your FAQs.........

so what you do is create a folder on your desktop, name it something like default-old, move all your old template files in their, then upload that folder to your phpmyfaq 2.7 and put the folder in template so the folder will look like
this
template/default this is where the new template is located

then template/default-old is for your old template,

then you login to the admin panel and go to configuration , then click on the main configuration link, and what you bascially have to do is tell it what template you want to use, so you go down to the drop town menu setting title
Template set to be used and select your old template and click save
phpMyFAQ Quality Assurance / Forum Moderator
Amazon.com Wishlist

kakubei
Posts: 12
Joined: Mon Mar 25, 2013 4:08 pm

Re: Upgrade from 2.0.x problems

Post by kakubei » Mon Mar 25, 2013 8:36 pm

What I just did was apply the backup template and that resulted in the page without styles. I will upload the old files once more and try again.

jason102178
Posts: 200
Joined: Tue Nov 02, 2010 9:08 am
Location: United States-Ohio
Contact:

Re: Upgrade from 2.0.x problems

Post by jason102178 » Mon Mar 25, 2013 8:53 pm

Well i do see what you mean by their is no style, I do alot of customizations to my phpmyfaq installation , and what i do personally for the headache sakes, to make it easier on my self is i just use the new theme and customizing them the way i want, I am not sure if you have taken a look at our latest version thats in development right now 2.8, is another major release which is a vast improvment from 2.7 alot of new features, and i think everyone will be pleased with it, we have been developing it for about 2 yrs now and we are prolly gonna release a stable version of that in about a month or so...

But just to let you know that 2.0.12 is way out of support right now, then once 2.8 is released then 2.7 will no longer be supported, you can check out 2.8 by going here

http://moss.demo.phpmyfaq.de/Username: admin / Password: demoadmin so you can test that version out before you decide to upgrade to it and let us know what you think
phpMyFAQ Quality Assurance / Forum Moderator
Amazon.com Wishlist

kakubei
Posts: 12
Joined: Mon Mar 25, 2013 4:08 pm

Re: Upgrade from 2.0.x problems

Post by kakubei » Mon Mar 25, 2013 10:12 pm

To be honest I set this up a couple of years ago and don't remember how to customize it or make all the changes I made before like removing menus, etc.

No matter what I do I can't get the styles to be applied to the old templates. I copied them into a new folder called 'bruji' and selected that from the configuration but nothing, no styles.

What are my options now?

The instructions also say this:

You have to update a lot of your template files due to the new, enhanced template engine

What does that mean? How do I update the templates for the new engine?

Post Reply